%define	upstream_name	 Log-Log4perl
%define upstream_version 1.57

%global __requires_exclude perl\\\((Log::Dispatch::FileRotate|DBI|RRDs)\\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Log4j implementation for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch
Requires:   perl-Log-Dispatch >= 2.00
%description
Log::Log4perl lets you remote-control and fine-tune the logging behaviour of
your system from the outside. It implements the widely popular (Java-based)
Log4j logging package in pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find lib -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_bindir}/l4p-tmpl
%{perl_vendorlib}/Log
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Oct 27 2022 tv <tv> 1.570.0-1.mga9
+ Revision: 1899642
- update to 1.57

* Mon Sep 05 2022 tv <tv> 1.560.0-1.mga9
+ Revision: 1884073
- update to 1.56

* Sun Jun 05 2022 tv <tv> 1.550.0-1.mga9
+ Revision: 1861255
- update to 1.55

* Thu Feb 25 2021 tv <tv> 1.540.0-1.mga9
+ Revision: 1690285
- update to 1.54

* Fri Sep 18 2020 tv <tv> 1.530.0-1.mga8
+ Revision: 1628503
- update to 1.53

* Tue Sep 08 2020 shlomif <shlomif> 1.520.0-1.mga8
+ Revision: 1623444
- update to 1.52

* Mon Sep 07 2020 tv <tv> 1.510.0-1.mga8
+ Revision: 1623063
- update to 1.51

* Fri Jul 24 2020 tv <tv> 1.500.0-1.mga8
+ Revision: 1608764
- update to 1.50

* Wed Feb 12 2020 umeabot <umeabot> 1.490.0-3.mga8
+ Revision: 1504995
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.490.0-2.mga7
+ Revision: 1284520
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 1.490.0-1.mga7
+ Revision: 1128725
- update to 1.49

* Sun Jun 19 2016 pterjan <pterjan> 1.470.0-2.mga6
+ Revision: 1029404
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 1.470.0-1.mga6
+ Revision: 1007915
- update to 1.47

* Thu Feb 18 2016 umeabot <umeabot> 1.460.0-2.mga6
+ Revision: 965825
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.460.0-1.mga6
+ Revision: 838034
- update to 1.46

* Sun Oct 19 2014 umeabot <umeabot> 1.440.0-4.mga5
+ Revision: 788801
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.440.0-3.mga5
+ Revision: 749848
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.440.0-2.mga5
+ Revision: 685268
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue May 20 2014 jquelin <jquelin> 1.440.0-1.mga5
+ Revision: 624329
- update to 1.44

* Thu Mar 20 2014 jquelin <jquelin> 1.430.0-1.mga5
+ Revision: 606185
- update to 1.43

* Sat Oct 19 2013 umeabot <umeabot> 1.420.0-2.mga4
+ Revision: 530590
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 1.420.0-1.mga4
+ Revision: 458340
- update to 1.42

* Sun Jun 02 2013 kharec <kharec> 1.410.0-1.mga4
+ Revision: 435066
- update to 1.41

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-2.mga3
+ Revision: 369225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.400.0-1.mga3
+ Revision: 342369
- update to 1.40

* Tue Nov 06 2012 jquelin <jquelin> 1.390.0-1.mga3
+ Revision: 315121
- update to 1.39

* Wed Sep 26 2012 jquelin <jquelin> 1.380.0-1.mga3
+ Revision: 298025
- update to 1.38

* Tue Jun 05 2012 jquelin <jquelin> 1.370.0-1.mga3
+ Revision: 255121
- update to 1.37

* Thu Feb 23 2012 jquelin <jquelin> 1.360.0-1.mga2
+ Revision: 213026
- update to 1.36

* Thu Jan 05 2012 jquelin <jquelin> 1.350.0-1.mga2
+ Revision: 191211
- update to 1.35

* Wed Nov 09 2011 jquelin <jquelin> 1.340.0-1.mga2
+ Revision: 165800
- do not ship MYMETA
- update to 1.34

* Wed Jun 15 2011 jquelin <jquelin> 1.330.0-1.mga2
+ Revision: 107049
- update to 1.33

* Mon Feb 28 2011 jquelin <jquelin> 1.320.0-1.mga1
+ Revision: 61482
- update to 1.32

* Mon Jan 24 2011 jquelin <jquelin> 1.310.0-2.mga1
+ Revision: 36402
- mageia rebuild
- imported package perl-Log-Log4perl

